#=====================================================
# clist.tcl
#		List of correspondancy between the
# classes of CFGDesi, and those used by the
# 4GL-Compiler.
# Developper	:	PM
# Date 09.11.1995
# Used in :	Resource :: save_it ,
#		Resource :: load_it
#-----------------------------------------------------

global Default

########################
### Resource classes ###
########################

set Default(rRPad) rPad
set Default(rPad)  rRPad

set Default(rActiveBg) activeBackground
set Default(activeBackground) rActiveBg
set Default(activeBg) rActiveBg

set Default(rActiveFg) activeForeground
set Default(activeForeground) rActiveFg
set Default(activeFg) rActiveFg

set Default(rDisabledFg) disabledForeground
set Default(disabledForeground) rDisabledFg

set Default(rReverseBg) reversBg
set Default(reversBg) rReverseBg

set Default(rSelectedBg) seletBg
set Default(seletBg) rSelectedBg

set Default(rSelectedFg) selectFg
set Default(selectFg) rSelectedFg

set Default(rBackground) background
set Default(background) rBackground

set Default(rEntryActiveBg) entryActiveBg
set Default(entryActiveBg) rEntryActiveBg

set Default(rEntryPadY) entryPadY
set Default(entryPadY) rEntryPadY

set Default(rDefaultBg) defaultBg
set Default(defaultBg) rDefaultBg

set Default(rDefaultFg) defaultFg
set Default(defaultFg) rDefaultFg

set Default(rHighlightBackground) highlightBackground
set Default(highlightBackground) rHighlightBackground

set Default(rForeground) foreground
set Default(foreground) rForeground

set Default(rRelief) relief
set Default(relief) rRelief

set Default(rHeight) height
set Default(height) rHeight

set Default(rWidth) width
set Default(width) rWidth
set Default(Width) rWidth

set Default(rPadX) padX
set Default(padX) rPadX

set Default(rPadY) padY
set Default(padY) rPadY

set Default(rBorderWidth) borderWidth
set Default(borderWidth) rBorderWidth

set Default(rSelectedBorderWidth) selectBorderWidth
set Default(selectBorderWidth) rSelectedBorderWidth

set Default(rExportSelection) exportSelection
set Default(exportSelection) rExportSelection

set Default(rSelectMode) selectMode
set Default(selectMode) rSelectMode

######################
### Widget classes ###
######################

set Default(o,rCanvas) FglCanvas.
set Default(i,FglCanvas) rCanvas

set Default(o,rRadBut) FglRadioButton.
set Default(i,FglRadioButton) rRadBut

set Default(o,rCheckBut) FglCheckButton.
set Default(i,FglCheckButton) rCheckBut

set Default(o,rBmpKey) FglBMPKey.
set Default(i,FglBMPKey) rBmpKey

set Default(o,rTip) FglLabelBubble.
set Default(i,FglLabelBubble) rTip

set Default(o,rWidget) ""
set Default(i,Fgl) rWidget

set Default(o,rDefault) ""
set Default(i,Fgl) rDefault

set Default(o,rLine) FglLine.
set Default(i,FglLine) rLine

#set Default(o,rFrame) FglFrame.
#set Default(i,FglFrame) rFrame

set Default(o,r4glFrame) FglFrame.
set Default(i,FglFrame) r4glFrame

set Default(o,rMenuFrame) FglMenuFrame.
set Default(i,FglMenuFrame) rMenuFrame

set Default(o,rPromptFrame) FglPromptFrame.
set Default(i,FglPromptFrame) rPromptFrame

set Default(o,rKeyFrame) FglKeyFrame.
set Default(i,FglKeyFrame) rKeyFrame

set Default(o,rFrameTask) FglFrameTask.
set Default(i,FglFrameTask) rFrameTask

set Default(o,rButton) FglButton.
set Default(i,FglButton) rButton

set Default(o,rButtonMenu) FglButtonMenu.
set Default(i,FglButtonMenu) rButtonMenu

set Default(o,rButtonKey) FglButtonKey.
set Default(i,FglButtonKey) rButtonKey

set Default(o,rHorMenuTitle) FglMenuNameH.
set Default(i,FglMenuNameH) rHorMenuTitle

set Default(i,FglEntry) rEntry
set Default(o,rEntry) FglEntry.

set Default(o,rLabel) FglLabel.
set Default(i,FglLabel) rLabel

set Default(o,FglInvisible)	fglInvisible+
set Default(i,FglInvisible)	FglInvisible

#
# JPK added	||
#		\/
set Default(o,FglUnder)		fglUnder+
set Default(i,fglUnder)		FglUnder
set Default(o,FglRev)		fglRev+
set Default(i,fglRev)		FglRev
set Default(o,FglBlink)		fglBlink+
set Default(i,fglBlink)		FglBlink
set Default(o,FglBold)		fglBold+
set Default(i,fglBold)		FglBold
set Default(o,FglRevUnder)	fglRevUnder+
set Default(i,fglRevUnder)	FglRevUnder
set Default(o,FglBoldUnder)	fglBoldUnder+
set Default(i,fglBoldUnder)	FglBoldUnder
set Default(o,FglBoldRev)	fglBoldRev+
set Default(i,fglBoldRev)	FglBoldRev
set Default(o,FglBoldRevUnder)	fglBoldRevUnder+
set Default(i,fglBoldRevUnder)	FglBoldRevUnder
set Default(o,FglBlinkUnder)	fglBlinkUnder+
set Default(i,fglBlinkUnder)	FglBlinkUnder
set Default(o,FglBlinkRev)	fglBlinkRev+
set Default(i,fglBlinkRev)	FglBlinkRev
set Default(o,FglBlinkRevUnder)	fglBlinkRevUnder+
set Default(i,fglBlinkRevUnder)	FglBlinkRevUnder
set Default(o,FglBlinkBold)	fglBlinkBold+
set Default(i,fglBlinkBold)	FglBlinkBold
set Default(o,FglBlinkBoldUnder)	fglBlinkBoldUnder+
set Default(i,fglBlinkBoldUnder)	FglBlinkBoldUnder
set Default(o,FglBlinkBoldRev)	fglBlinkBoldRev+
set Default(i,fglBlinkBoldRev)	FglBlinkBoldRev
set Default(o,FglBlinkBoldRevUnder) fglBlinkBoldRevUnder+
set Default(i,fglBlinkBoldRevUnder) FglBlinkBoldRevUnder
#
# end JPK
#

set Default(o,rTitleFirst) FglFirstLabel.
set Default(i,FglFirstLabel) rTitleFirst

set Default(o,rTitleOther) FglOtherLabel.
set Default(i,FglOtherLabel) rTitleOther

set Default(o,rMessage) FglMessage.
set Default(i,FglMessage) rMessage

set Default(o,rError) FglError.
set Default(i,FglError) rError

set Default(o,rListbox) FglListbox.
set Default(i,FglListbox) rListbox

set Default(o,rScrollbar) FglScrollbar.
set Default(i,FglScrollbar) rScrollbar

set Default(o,FglColorWhite)	colorWhite
set Default(i,FglColorWhite)	FglColorWhite
set Default(o,FglColorBlack)	colorBlack
set Default(i,FglColorBlack)	FglColorBlack
set Default(o,FglColorYellow)	colorYellow
set Default(i,FglColorYellow)	FglColorYellow
set Default(o,FglColorMagenta)	colorMagenta
set Default(i,FglColorMagenta)	FglColorMagenta
set Default(o,FglColorRed)	colorRed
set Default(i,FglColorRed)		FglColorRed
set Default(o,FglColorCyan)	colorCyan
set Default(i,FglColorCyan)	FglColorCyan
set Default(o,FglColorGreen)	colorGreen
set Default(i,FglColorGreen)	FglColorGreen
set Default(o,FglColorBlue)	colorBlue
set Default(i,FglColorBlue)	FglColorBlue

set Default(o,FglbgColorWhite)	bgcolorWhite
set Default(i,FglbgColorWhite)	FglbgColorWhite
set Default(o,FglbgColorBlack)	bgcolorBlack
set Default(i,FglbgColorBlack)	FglbgColorBlack
set Default(o,FglbgColorYellow)	bgcolorYellow
set Default(i,FglbgColorYellow)	FglbgColorYellow
set Default(o,FglbgColorMagenta) bgcolorMagenta
set Default(i,FglbgColorMagenta)	FglbgColorMagenta
set Default(o,FglbgColorRed)	bgcolorRed
set Default(i,FglbgColorRed)	FglbgColorRed
set Default(o,FglbgColorCyan)	bgcolorCyan
set Default(i,FglbgColorCyan)	FglbgColorCyan
set Default(o,FglbgColorGreen)	bgcolorGreen
set Default(i,FglbgColorGreen)	FglbgColorGreen
set Default(o,FglbgColorBlue)	bgcolorBlue
set Default(i,FglbgColorBlue)	FglbgColorBlue
